<div class="container-fluid">

<input type="hidden" id="my_csrf" name="<?php echo $this->security->get_csrf_token_name(); ?>" value="<?php echo $this->security->get_csrf_hash(); ?>">
	

	<div class="w3-margin-top w3-border col-lg-8 col-lg-offset-2 col-md-12 col-sm-12">		

			<?php
		
				if(count($data) > 0 AND $data != "Sorry No quiz available yet")
				{
					$hide = "";
					$x = 1;
					foreach($data as $d)
					{						
						if($x > 1)
							{
								$hide="w3-hide";
							}
						if($x == count($data))
						{
							$disp = "Submit";
							$class= "btn-success";
						}
						else
						{
							$disp = "Next";
							$class= "btn-primary";
						}
						$ques_fold = $this->encryption->decrypt(preg_replace('/\s+/','+',$this->input->get('i')));
						$path = file_get_contents("assets/questions/".$ques_fold."/answers/".$d->img_fl.".jpg");
						$base = "data:image/jpg;base64,".base64_encode($path);
						?>

							<div class="panel panel-info <?php echo $hide; ?>">
								<div class="panel panel-heading">
									Question <?php echo $x." of ".count($data); ?>: <br>
									Question : Who is in Control? 
								</div>
								<div class="panel-body">
									<table class="mn_table" style="width:100%">
									<tr><td>
										<div style="height:300px" >
											<img src="<?php echo $base; ?>"  id ="<?php echo $d->img_fl; ?>" width="100%"/> 
										</div>
									</td></tr>
									</table>

										<input type="radio" class='rad' name="r<?php echo $x; ?>" value='1'> Higher Low – Breaking High
										<br>
										<input type="radio" class='rad' name="r<?php echo $x; ?>" value='2'> Lower High – Breaking Low
										<br>
										<input type="radio" class='rad' name="r<?php echo $x; ?>" value='3'> Higher Low – No Space
										<br>
										<input type="radio" class='rad' name="r<?php echo $x; ?>" value='4'> Lower High – No Space
										<br>
										<input type="radio" class='rad' name="r<?php echo $x; ?>" value='5'> Not Clear / Flat / Volatile
										<br>
									
									<button  class="mybtn btn btn-sm  w3-right w3-round <?php echo $class; ?>"><?php echo $disp; ?></button>
								</div>
							</div>
						<?php
						$x++;
					}
				}
			?>
		
	</div>
	<div id="myModal" class="modal fade" role="dialog">
	  <div class="modal-dialog">

	    <!-- Modal content-->
	    <div class="modal-content">	     
	      <div class="modal-body">
	       	<img src="assets/imgs/check.gif" />
	      </div>	      
	    </div>

	  </div>
	</div>
	<div class="scrs" style="display:none">
		<table class="table table-hover table-stripped">
		<thead>
			<tr><th colspan=2> QUIZ RESULTS </th>
		</thead>
		<tbody>
			<tr>
				<td>Test Score</td><td><label id="inprcnt"></label></td>
			</tr>
			<tr>
				<td> Correct</td><td><label id="correct"></label></td>
			</tr>
			<tr>
				<td> Incorrect</td><td><label id="incorrect"></label></td>
			</tr>
			<tr>
			<td> <button id="retr" class="btn btn-sm btn-info w3-round form-control" >Retry</button></td>
			<td> <a href="/quiz" class="btn btn-sm btn-danger w3-round form-control" >Go back to Main</a></td>

			</tr>
		</tbody>
		</table>
	</div>
</div>
<script type="text/javascript">
$(document).ready(function(){

var r = new Array();
	$("#retr").click(function(){
		var q = confirm("Retry Examination?");

		if(q == true)
		{
			window.location.reload();
			return true;
		}
		else
		{
			return false;
		}		
	});

	$(".mybtn").click(function(){
		var ans = $(this).siblings("input[class=rad]:checked").val();			
		var qs = $(this).siblings("table").children().children().children().children().attr("id");		
		if(ans == undefined)
		{
			alert("Kinly choose your answer first");
			return false;
		}
		r.push([qs,ans]);				
		$(this).parent().parent().next().removeClass("w3-hide");	
			$(this).parent().parent().addClass("w3-hide");
		if($(this).html() == "Submit")
		{
			var opt = {"my_csrf": $("#my_csrf").val(),"ans": r};
			$.ajax({
				url : "chk_score",
				type: "post",
				cache: false,
				async: false,
				data: opt,
				dataType: "json",
				success: function(s){
					if(s.success)
					{
						$("#inprcnt").html(s.percent+"%");
						$("#correct").html(s.score);
						$("#incorrect").html(s.incorrect);

						$(".scrs").show();
					}
				},
				error: function(){
					alert("Error");
					return false;
				}
			});
		}
		else
		{
			alert("here");
			var opt = {"ans": ans, "qs": qs};
			$.ajax({
				url: "chk_answer",
				type: "post",
				cache: false,
				async: false,
				data: opt,
				dataType: "json",
				success: function(s){
					$("#myModal").show();
					if(s.success)
					{

					}

				},
				error: function(){

				}
			});
		}		
	});		
});
</script>
</body>
</html>